<!--- 
The contents of this file are subject to the Mozilla Public License Version 1.1
(the "License"); you may not use this file except in compliance with the
License. You may obtain a copy of the License at http://www.mozilla.org/MPL/

Software distributed under the License is distributed on an "AS IS" basis,
WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
the specific language governing rights and limitations under the License.

The Original Code is comprised of the PT News directory

The Initial Developer of the Original Code is
PaperThin, Inc. Copyright(C) 2012.
All Rights Reserved.

By downloading, modifying, distributing, using and/or accessing any files 
in this directory, you agree to the terms and conditions of the applicable 
end user license agreement.
--->
<!---
/* *************************************************************** */
Author: 	
	PaperThin Inc.
Name:
	news_detail_complex.cfm
Description:
	Complex detail render handler
	Displays the category fields with links to the search filter page.
	Runs logic to validate if the fields are populated before displaying.
ADF App:
	PT News
History:
	2012-09-17 - MFC - Created
--->
<cfscript>
	newsItems = attributes.elementInfo.elementData.propertyValues;
	
	// Check that we have data and this is only a single record
	if ( ArrayLen(newsItems) )
		newsItem = newsItems[1];
	else
		newsItem = StructNew();
</cfscript>

<!--- Check that we have a record to display --->
<cfif StructKeyExists(newsItem, "Values")>
	<cfscript>
		// Get the News Category data
		categoryData = application.ptNews.newsDAO.getNewsCategoryList(categoryIDList=newsItem.Values.categories);
	</cfscript>
	<!--- <cfdump var="#categoryData#"> --->

	<cfoutput>
		<h2>#newsItem.Values.title#</h2>
		<!--- Publication Date --->
		<cfif LEN(newsItem.Values.publicationDate)>
			<p>Date: #DateFormat(newsItem.Values.publicationDate, "long")#</p>
		</cfif>
		<!--- By Line --->
		<cfif LEN(newsItem.Values.byLine)>
			<p>By: #newsItem.Values.byLine#</p>
		</cfif>
		<!--- Display the Categories --->
		<cfif ArrayLen(categoryData)>
			<p>Categories:
				<cfset catsDisplayed = false>
				<cfset catListDisplay = "">
				<cfloop array="#categoryData#" index="currCat">
					<cfset listItem = '<a href="##">#currCat.Values.name#</a>'>
					<cfset catListDisplay = ListAppend(catListDisplay, listItem, ',')>
				</cfloop>
				<!--- Fix to add a space after the commas --->
				#Replace(catListDisplay, ",", ", ", "all")#
			</p>
		</cfif>
		<!--- Body --->
		#newsItem.Values.body#
	</cfoutput>
</cfif>
